
#version 330 core
in vec2 TexCoords;
uniform sampler2D normalTexture;

out vec4 color;

uniform sampler2D image;

void main()
{    
    color = vec4(texture2D (image, TexCoords ).rgb, 1.0);
    vec4 alpha = texture2D( image, TexCoords ).aaaa;
    vec4 negalpha = alpha * vec4(-1,-1,-1,1) + vec4(1,1,1,0);
    color = alpha * color + negalpha;
}  